<?php

include( "includes/config.php" );
include( "classes/class_db_" . $config[ 'DB_LAYER' ] . ".php" );
$database = new database;
include( "classes/class_security.php" );
include( "classes/class_system.php" );
$system = new system;
$security = new security;

if( !isset( $config[ 'DB_ENGINE' ] ) )
{
	$config[ 'DB_ENGINE' ] = "MyISAM";
}
define( "DB_PREFIX", $security -> localcheckvare( $config[ 'DB_PREFIX' ] ) );
define( "DB_ENGINE", $security -> localcheckvare( $config[ 'DB_ENGINE' ] ) );

$database -> dbconnect();

$preferences = array();
$query = $database -> dbquery( "SELECT preference_key, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_website = '0' OR preference_website = '" . intval( $config[ 'WEBSITE' ] ) . "'" );

while( list( $preference_key, $preference_value ) = $database -> dbrow( $query ) )
{
	$preference_key = strtolower( $preference_key );
	$preferences[ $preference_key ] = $preference_value;
}

$system -> init( 0 );
$uwrapper = new uwrapper;

echo "Converting Users to phpBB 3<hr />";

$query = $database -> dbquery( "SELECT user_loginname, user_email FROM " . DB_PREFIX .  "esselbach_ct_users WHERE user_application = 'Contentteller' AND user_status = '1'" );
while( list( $username, $email ) = $database -> dbrow( $query ) )
{
	echo "Importing " . $username . "<br />";

	$username = $database -> dbescape( $username );
	$email = $database -> dbescape( $email );

	$uwrapper -> bbconnect();
	$uwrapper -> bbquery( "INSERT INTO " . $uwrapper -> bbescape( $preferences[ 'website_uwrapper_prefix' ] ) . "users (user_id, user_type, group_id, user_permissions, user_perm_from, user_ip, user_regdate, username, username_clean, user_password, user_passchg, user_pass_convert, user_email, user_email_hash, user_birthday, user_lastvisit, user_lastmark, user_lastpost_time, user_lastpage, user_last_confirm_key, user_last_search, user_warnings, user_last_warning, user_login_attempts, user_inactive_reason, user_inactive_time, user_posts, user_lang, user_timezone, user_dst, user_dateformat, user_style, user_rank, user_colour, user_new_privmsg, user_unread_privmsg, user_last_privmsg, user_message_rules, user_full_folder, user_emailtime, user_topic_show_days, user_topic_sortby_type, user_topic_sortby_dir, user_post_show_days, user_post_sortby_type, user_post_sortby_dir, user_notify, user_notify_pm, user_notify_type, user_allow_pm, user_allow_viewonline, user_allow_viewemail, user_allow_massemail, user_options, user_avatar, user_avatar_type, user_avatar_width, user_avatar_height, user_sig, user_sig_bbcode_uid, user_sig_bbcode_bitfield, user_from, user_icq, user_aim, user_yim, user_msnm, user_jabber, user_website, user_occ, user_interests, user_actkey, user_newpasswd, user_form_salt, user_new, user_reminded, user_reminded_time) VALUES (NULL, '0', '2', '', '0', '::1', '1347363074', '$username', '$username', '$$H84', '1347363074', '0', '$email', '67648593413', ' ', '0', '1347363074', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', 'en', '0.00', '0', 'D M d, Y g:i a', '1', '0', ' ', '0', '0', '0', '0', '-3', '0', '0', 't', 'd', '0', 't', 'a', '0', '1', '0', '1', '1', '1', '1', '230271', ' ', '0', '0', '0', '', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '', '', ' ', ' ', '657cdc653014238b', '1', '0', '0')");
	$thisid = $uwrapper -> bblastinsert();
	$uwrapper -> bbquery( "INSERT INTO " . $uwrapper -> bbescape( $preferences[ 'website_uwrapper_prefix' ] ) . "user_group VALUES (2, '". $thisid . "', 0, 0)");

	$uwrapper -> bbclose();
}

?>